using UnityEngine;

namespace HamJam {
    namespace AI {
        public class MobData {

            private GameObject _gameObject;
            private Rigidbody2D _rBody;
            private CharacterInteractionScript _charController;

            public MobData(GameObject mobGameObject) {
                this._gameObject = mobGameObject;
                this._rBody = mobGameObject.GetComponent<Rigidbody2D>();
                this._charController = mobGameObject.GetComponent<CharacterInteractionScript>();
            }

            public GameObject GameObject {
                get {
                    return this._gameObject;
                }
            }

            public Rigidbody2D RBody {
                get {
                    return this._rBody;
                }
            }

            public CharacterInteractionScript CharInteracScript {
                get {
                    return this._charController;
                }
            }
        }
    }
}
